libzypp: zypp::pool::PoolTraits Struct Reference

libzypp 17.38.11

zypp::pool::PoolTraits Struct Reference

`#include <zypp/pool/PoolTraits.h>`

## Public Types
using | SolvableIdType = sat::detail::SolvableIdType
using | ItemContainerT = std::vector<PoolItem>
| pure items
using | item_iterator = ItemContainerT::const_iterator
using | const_iterator = filter_iterator<ByPoolItem, ItemContainerT::const_iterator>
using | size_type = ItemContainerT::size_type
using | Id2ItemT = std::unordered_multimap<sat::detail::IdType, PoolItem>
| ident index
using | Id2ItemValueSelector = P_Select2nd<Id2ItemT::value_type>
using | byIdent_iterator = transform_iterator<Id2ItemValueSelector, Id2ItemT::const_iterator>
using | repository_iterator = sat::Pool::RepositoryIterator
| list of known Repositories
using | HardLockQueries = std::list<PoolQuery>
| hard locks from etc/zypp/locks
using | hardLockQueries_iterator = HardLockQueries::const_iterator
using | Impl = PoolImpl
using | Impl_Ptr = shared_ptr<PoolImpl>
using | Impl_constPtr = shared_ptr<const PoolImpl>

## Detailed Description

Definition at line 65 of file PoolTraits.h.

## Member Typedef Documentation

## ◆ SolvableIdType

using zypp::pool::PoolTraits::SolvableIdType = sat::detail::SolvableIdType

Definition at line 68 of file PoolTraits.h.

## ◆ ItemContainerT

using zypp::pool::PoolTraits::ItemContainerT = std::vector<PoolItem>

pure items

Definition at line 71 of file PoolTraits.h.

## ◆ item_iterator

using zypp::pool::PoolTraits::item_iterator = ItemContainerT::const_iterator

Definition at line 72 of file PoolTraits.h.

## ◆ const_iterator

using zypp::pool::PoolTraits::const_iterator = filter_iterator<ByPoolItem, ItemContainerT::const_iterator>

Definition at line 73 of file PoolTraits.h.

## ◆ size_type

using zypp::pool::PoolTraits::size_type = ItemContainerT::size_type

Definition at line 74 of file PoolTraits.h.

## ◆ Id2ItemT

using zypp::pool::PoolTraits::Id2ItemT = std::unordered_multimap<sat::detail::IdType, PoolItem>

ident index

Definition at line 77 of file PoolTraits.h.

## ◆ Id2ItemValueSelector

using zypp::pool::PoolTraits::Id2ItemValueSelector = P_Select2nd<Id2ItemT::value_type>

Definition at line 78 of file PoolTraits.h.

## ◆ byIdent_iterator

using zypp::pool::PoolTraits::byIdent_iterator = transform_iterator<Id2ItemValueSelector, Id2ItemT::const_iterator>

Definition at line 79 of file PoolTraits.h.

## ◆ repository_iterator

using zypp::pool::PoolTraits::repository_iterator = sat::Pool::RepositoryIterator

list of known Repositories

Definition at line 82 of file PoolTraits.h.

## ◆ HardLockQueries

using zypp::pool::PoolTraits::HardLockQueries = std::list<PoolQuery>

hard locks from etc/zypp/locks

Definition at line 85 of file PoolTraits.h.

## ◆ hardLockQueries_iterator

using zypp::pool::PoolTraits::hardLockQueries_iterator = HardLockQueries::const_iterator

Definition at line 86 of file PoolTraits.h.

## ◆ Impl

using zypp::pool::PoolTraits::Impl = PoolImpl

Definition at line 88 of file PoolTraits.h.

## ◆ Impl_Ptr

using zypp::pool::PoolTraits::Impl_Ptr = shared_ptr<PoolImpl>

Definition at line 89 of file PoolTraits.h.

## ◆ Impl_constPtr

using zypp::pool::PoolTraits::Impl_constPtr = shared_ptr<const PoolImpl>

Definition at line 90 of file PoolTraits.h.

The documentation for this struct was generated from the following file:

- zypp/pool/PoolTraits.h